from machine import Pin
import utime

class Ultrasonic:
    def __init__(self,triggerp,echop):
        self.trigger = Pin(triggerp, Pin.OUT)
        self.echo = Pin(echop, Pin.IN)
        
    def measure(self):
        distance = 0
        self.trigger.low()
        utime.sleep_us(2)
        self.trigger.high()
        utime.sleep_us(5)
        self.trigger.low()
        
        while self.echo.value() == 0:
            signaloff = utime.ticks_us()
        while self.echo.value() == 1:
            signalon = utime.ticks_us()
            
        timepassed = signalon - signaloff
        
        distance = (timepassed * 0.0343) /2
        
        return distance
        